<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function csc

Calculate the cosecant of a value, defined as `csc(x) = 1/sin(x)`.

For matrices, the function is evaluated element wise.


## Syntax

```js
math.csc(x)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | number &#124; Complex &#124; Unit &#124; Array &#124; Matrix | Function input

### Returns

Type | Description
---- | -----------
number &#124; Complex &#124; Array &#124; Matrix | Cosecant of x


### Throws

Type | Description
---- | -----------


## Examples

```js
math.csc(2)      // returns number 1.099750170294617
1 / math.sin(2)  // returns number 1.099750170294617
```


## See also

[sin](sin.md),
[sec](sec.md),
[cot](cot.md)
